Engine RPM
Engine RPMs are now available in all three Vehicle Stats APIs by including types=engineRpm as a query parameter. See the Vehicle Stats reference documentation for a full list of vehicle stats.
Engine RPMs are now available in all three Vehicle Stats APIs by including types=engineRpm as a query parameter. See the Vehicle Stats reference documentation for a full list of vehicle stats.
GPS data is now available in the Vehicle Stats APIs. The types=gps query parameter will allow you to request GPS data including lat/long, heading, speed, and reverse geocoded address data. This is available for the snapshot, feed, and history vehicle stats endpoints.
A new Hours of Service Clocks endpoint is available that allows you to retrieve the current duty status of all your drivers.
A new Hours of Service endpoint is now available. This endpoint allows you to retrieve duty status logs for all drivers between a given start time and end time.
A new Safety Events endpoint is now available. This endpoint allows you to query for all safety events over a given time range.
ID card scan events are now available via the Vehicle Stats endpoints. The types=nfcCardScans query parameter will retrieve ID card scan events for the snapshot, feed, and history Vehicle Stats endpoints.
If a Vehicle has a camera installed, the camera's serial number will be available as the cameraSerial field in the GET /fleet/vehicles and GET /fleet/vehicles/{id} endpoints.
Routes will now automatically complete upon arrival at the last stop. The complete_last_stop_on_arrival field allows you to control this behavior. If set to true (default), the route will complete upon arrival at the last stop. If set to false, the last stop will capture arrival and departure separately (as with other stops) and the route as a whole will complete upon departure from the last stop. See the Routes reference documentation for details.
A new API version was released on 2020-06-15. Changes:
Documents now contain a custom name field. This is a name that a driver can provide when creating a document through the Driver App.